# Alle hinzugefügten öffentlichen Kenntnisse abrufen

{% openapi src="/files/ruiFvGmmJmrVu2Iycaim" path="/common-knowledge/subscribed-list/" method="get" %}
[rememberizer\_openapi.yml](https://2490272757-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fx5M0COIHmFFlpJ9e5pvp%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=22d7ca07-e3b4-475f-840e-857109bf09bc)
{% endopenapi %}

## Beispielanfragen

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
Ersetzen Sie `YOUR_JWT_TOKEN` durch Ihr tatsächliches JWT-Token.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getPublicKnowledge = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getPublicKnowledge();
```

{% hint style="info" %}
Ersetzen Sie `YOUR_JWT_TOKEN` durch Ihr tatsächliches JWT-Token.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_public_knowledge():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/common-knowledge/subscribed-list/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_public_knowledge()
```

{% hint style="info" %}
Ersetzen Sie `YOUR_JWT_TOKEN` durch Ihr tatsächliches JWT-Token.
{% endhint %}
{% endtab %}
{% endtabs %}

## Antwortformat

```json
[
  {
    "id": 1,
    "num_of_subscribers": 76,
    "publisher_name": "Rememberizer AI",
    "published_by_me": false,
    "subscribed_by_me": true,
    "size": 66741,
    "created": "2023-01-15T14:30:00Z",
    "modified": "2023-05-20T09:45:12Z",
    "priority_score": 2.053,
    "name": "Rememberizer Docs",
    "image_url": "https://example.com/images/rememberizer-docs.png",
    "description": "Die neuesten Dokumentationen und Blogbeiträge über Rememberizer.",
    "api_key": null,
    "is_sharing": true,
    "memento": 159,
    "document_ids": [1234, 5678, 9012]
  }
]
```

Dieser Endpunkt ruft eine Liste aller öffentlichen Kenntnisse (auch bekannt als Allgemeinwissen) ab, auf die der aktuelle Benutzer abonniert ist. Jedes Element enthält Metadaten über die Wissensquelle, wie Veröffentlichungsdatum, Größe und zugehörige Dokumente.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/get-all-added-public-knowledge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
